Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xml.parser.v2
Class oraxsl

    java.lang.Object
      |
      +--oracle.xml.parser.v2.oraxsl

public class oraxsl
extends java.lang.Object

The oraxsl class provides a command-line interface to applying stylesheets on multiple XML documents. It accepts a number of command-line options that dictate how it should behave. The following is its invocation syntax:

         java oraxsl options* source? stylesheet? result?
              -w                          Show warnings
              -e <error log>              A file to write errors to
              -l <xml file list>          List of files to transform
              -d <directory>              Directory with files to transform
              -x <source extension>       Extensions to exclude
              -i <source extension>       Extensions to include
              -s <stylesheet>             Stylesheet to use
              -r <result extension>       Extension to use for results
              -o <result extension>       Directory to place results
              -p <param list>             List of Params
              -t <# of threads>           Number of threads to use
              -v                                Verbose mode

Constructor Summary
`oraxsl()`

Method Summary
`static void` | `main(java.lang.String[] args)` Invokes the oraxsl driver

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### oraxsl

    public oraxsl()

Method Detail

### main

    public static void main(java.lang.String[] args)

  Invokes the oraxsl driver
  Parameters:
    `args` - command line arguments

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.